<?php
/**
 * The template for displaying desktop
 *
 * @package WordPress
 * @subpackage hebes
 * @since hebes 1.0
 */
$header_layout = G5Plus_Hebes()->options()->get_option('header_layout','header-1');
$header_float_enable  = G5Plus_Hebes()->options()->get_option('header_float_enable');
$header_border = G5Plus_Hebes()->options()->get_option('header_border','none');
$header_content_full_width = G5Plus_Hebes()->options()->get_option('header_content_full_width');
$header_sticky = G5Plus_Hebes()->options()->get_option('header_sticky');
$skin = G5Plus_Hebes()->options()->get_option('header_skin','light');
$page_menu = '';
if (is_singular()) {
	$page_menu = G5Plus_Hebes()->metaBox()->get_page_menu();
}

$header_responsive_breakpoint = G5Plus_Hebes()->options()->get_option('header_responsive_breakpoint','991');

$header_classes = array(
	'main-header',
	$header_layout
);
$skin_classes = G5Plus_Hebes()->helper()->getSkinClass($skin);
$header_classes = array_merge($header_classes,$skin_classes);

if ($header_float_enable === 'on' && !in_array($header_layout,array('header-6','header-7','header-8'))) {
	$header_classes[] = 'header-float';
}

if (in_array($header_layout,array('header-6','header-7','header-8'))) {
	$header_classes[] = 'header-vertical';
}

/*if ($header_border == 'full') {
	$header_classes[] = 'gf-border-bottom';
}*/
$nav_spacing = G5Plus_Hebes()->options()->get_option('navigation_spacing',30);
$header_attributes = array(
	'data-layout="'. esc_attr($header_layout) .'"',
	'data-responsive-breakpoint="'. esc_attr($header_responsive_breakpoint) .'"',
    'data-navigation="' . esc_attr($nav_spacing) . '"',
);
if (($header_sticky !== '') &&  !in_array($header_layout,array('header-6','header-7','header-8'))) {
	$sticky_skin = G5Plus_Hebes()->options()->get_option('header_sticky_skin','light');
	$sticky_skin_classes = G5Plus_Hebes()->helper()->getSkinClass($sticky_skin);
	$sticky_skin_class = implode(' ', $sticky_skin_classes);
	$header_attributes[] = 'data-sticky-skin="'. $sticky_skin_class .'"';
    $header_attributes[] = 'data-sticky-type="'. $header_sticky .'"';
}
$header_class = implode(' ',array_filter($header_classes));
?>
<header <?php echo implode(' ', $header_attributes) ?> class="<?php echo esc_attr($header_class); ?>">
	<?php if (!in_array($header_layout,array('header-6','header-7','header-8'))) {G5Plus_Hebes()->helper()->getTemplate('header/desktop/top-bar');}  ?>
	<?php G5Plus_Hebes()->helper()->getTemplate("header/desktop/{$header_layout}",array(
		'header_layout' => $header_layout,
		'header_float_enable' => $header_float_enable,
		'header_border' => $header_border,
		'header_content_full_width' => $header_content_full_width,
		'header_sticky' => $header_sticky,
		'page_menu' => $page_menu,
	)); ?>
</header>