<?php
/**
 * The template for displaying layout-2
 *
 * @package WordPress
 * @subpackage hebes
 * @since hebes 1.0
 * @var $header_layout
 * @var $header_float_enable
 * @var $header_border
 * @var $header_content_full_width
 * @var $header_sticky
 * @var $page_menu
 */

$header_classes = array(
	'header-wrap'
);

$header_inner_classes = array(
	'header-inner',
	'd-flex',
	'align-items-center',
	'x-nav-menu-container'
);

if ($header_border === 'container') {
	$header_inner_classes[] = 'gf-border-bottom';
	$header_inner_classes[] = 'border-color';
}

if ($header_border == 'full') {
	$header_classes[] = 'gf-border-bottom';
	$header_classes[] = 'border-color';
}

if ($header_sticky !== '') {
	$header_classes[] = 'header-sticky';
}

if ($header_content_full_width === 'on') {
	$header_classes[] = 'header-full-width';
}

$header_class = implode(' ', array_filter($header_classes));
$header_inner_class = implode(' ', array_filter($header_inner_classes));
?>
<div class="<?php echo esc_attr($header_class) ?>">
	<div class="container">
		<div class="<?php echo esc_attr($header_inner_class) ?>">
			<?php
			add_action('wp_footer', array(G5Plus_Hebes()->templates(), 'canvas_menu'), 10);
			?>
			<div class="header-left d-flex align-items-center">
				<div class="gf-menu-icon-wrap">
                    <a class="gf-menu-icon gf-menu-canvas" href="#popup-canvas-menu">
						<span></span>
						<h4 class="gf-menu-title"><?php esc_html_e('Menu', 'g5plus-hebes'); ?></h4>
					</a>
				</div>
				<?php G5Plus_Hebes()->helper()->getTemplate('header/header-customize', array('customize_location' => 'left', 'canvas_position' => 'left')); ?>
			</div>
			<?php G5Plus_Hebes()->helper()->getTemplate('header/desktop/logo', array('header_layout' => $header_layout)); ?>
			<?php G5Plus_Hebes()->helper()->getTemplate('header/header-customize', array('customize_location' => 'right', 'canvas_position' => 'right')); ?>
		</div>
	</div>
</div>