<?php
/**
 * The template for displaying menu.php
 *
 * @package WordPress
 * @subpackage hebes
 * @since hebes 1.0
 */
$theme_location = 'primary';
if (has_nav_menu( 'mobile' )) {
	$theme_location = 'mobile';
}

$wrapper_classes = array(
	'mobile-navigation-wrapper',
	'canvas-sidebar-wrapper'
);

$inner_classes = array(
	'canvas-sidebar-inner'
);

$page_menu_mobile = '';
if (is_singular()) {
	$page_menu_mobile = G5Plus_Hebes()->metaBox()->get_page_mobile_menu();
	if (!$page_menu_mobile) {
		$page_menu = G5Plus_Hebes()->metaBox()->get_page_menu();
		$page_menu_mobile = $page_menu;
	}
}

$wrapper_class = implode(' ',array_filter($wrapper_classes));
$inner_class = implode(' ',array_filter($inner_classes));

$post_type = G5Plus_Hebes()->options()->get_option('search_popup_post_type',array('post'));
?>
<div id="mobile-navigation-wrapper" class="<?php echo esc_attr($wrapper_class); ?>">
	<div class="<?php echo esc_attr($inner_class)?>">
        <form role="search" method="get" class="search-form" action="<?php echo esc_url( home_url( '/' ) )  ?>">
            <?php if(is_array($post_type) && count($post_type) == 1 && $post_type[0] == 'product'): ?>
                <input type="hidden" name="post_type" value="product">
            <?php endif; ?>
            <input type="search" class="search-field" placeholder="<?php echo esc_attr_x( 'Search &hellip;', 'placeholder', 'g5plus-hebes' ) ?>" value="<?php echo esc_attr(get_search_query())  ?>" name="s" />
            <button type="submit" class="search-submit"><?php echo esc_attr_x( 'Search', 'submit button','g5plus-hebes' ) ?> <i class="fal fa-search"></i></button>
        </form>
		<?php if (has_nav_menu($theme_location) || $page_menu_mobile): ?>
			<?php
			$arg_menu = array(
				'menu_id' => 'mobile-menu',
				'container' => '',
				'theme_location' => $theme_location,
				'menu_class' => 'mobile-menu gf-menu-vertical',
				'is_mobile_menu' => true,
			);
            if (!empty($page_menu_mobile)) {
                $arg_menu['menu'] = $page_menu_mobile;
            }
			wp_nav_menu( $arg_menu );
			?>
		<?php endif;?>
	</div>
</div>
