<?php
/**
 * The template for displaying search
 */
$ajax_nonce = wp_create_nonce("search_popup_nonce");
?>
<div data-search-ajax="true" data-search-ajax-action="search_popup"
     data-search-ajax-nonce="<?php echo esc_attr($ajax_nonce) ?>" id="search-popup"
     class="search-popup-wrap mfp-hide mfp-with-anim">
    <div class="search-popup-inner">
        <div class="search-popup-form-wrap">
            <?php $post_type = G5Plus_Hebes()->options()->get_option('search_popup_post_type');?>
            <form action="<?php echo esc_url(home_url('/')) ?>" method="get" class="search-popup-form clearfix">
                <?php if(is_array($post_type) && count($post_type) == 1 && $post_type[0] == 'product'): ?>
                    <input type="hidden" name="post_type" value="product">
                    <div class="categories">
                        <span data-slug=""><?php esc_html_e('All Category','g5plus-hebes') ?></span>
                        <input type="hidden" name="product_cat" value="">
                        <?php
                        $list_args          = array(
                            'hierarchical' => true,
                            'taxonomy'     => 'product_cat',
                            'hide_empty'   => true,
                        );
                        include_once get_template_directory() . '/inc/walker/product-cat-list-walker.class.php';
                        $list_args['walker']                     = new GSF_Product_Cat_List_Walker();
                        $list_args['menu_order'] = false;
                        $list_args['title_li']                   = '';
                        $list_args['current_category_ancestors'] = array();
                        $list_args['pad_counts']                 = 1;
                        $list_args['show_option_none']           = esc_html__( 'No product categories exist.', 'g5plus-hebes' );

                        echo '<ul class="search-category-dropdown hidden">';
                        echo '<li class="cate-item all-cate"><span data-slug="">' . esc_html__('All Category','g5plus-hebes') .'</span></li>';
                        wp_list_categories( apply_filters( 'woocommerce_product_categories_widget_args', $list_args ) );
                        echo '</ul>';
                        ?>
                    </div>
                <?php endif; ?>
                <input data-search-ajax-control="input" name="s" class="search-popup-field" type="search"
                       placeholder="<?php esc_attr_e('Search here', 'g5plus-hebes') ?>"
                       autocomplete="off">
                <button type="submit" class="search-popup-button" ><i data-search-ajax-control="icon" class="fas fa-long-arrow-right"></i></button>
            </form>
            <div data-search-ajax-control="result" class="search-popup-result"></div>
        </div>
        <?php $search_popup_top_keywords = G5Plus_Hebes()->options()->get_option('search_popup_top_keywords');
        if(!empty($search_popup_top_keywords)):?>
            <div class="search-popup-keywords"><?php esc_html_e('TOP KEYWORDS: ', 'g5plus-hebes') ?> <?php echo esc_html($search_popup_top_keywords); ?></div>
        <?php endif; ?>
    </div>
</div>
